LibreOffice: osl/signal.h File Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

Classes | Macros | Typedefs | Enumerations | Functions
signal.h File Reference
`#include <sal/config.h>`
`#include <sal/saldllapi.h>`
`#include <sal/types.h>`

Go to the source code of this file.

## Classes
struct | oslSignalInfo

## Macros
#define | OSL_SIGNAL_USER_RESERVED 0
#define | OSL_SIGNAL_USER_RESOURCEFAILURE (OSL_SIGNAL_USER_RESERVED - 1)
#define | OSL_SIGNAL_USER_X11SUBSYSTEMERROR (OSL_SIGNAL_USER_RESERVED - 2)

## Typedefs
typedef void * | oslSignalHandler
typedef oslSignalAction(* | oslSignalHandlerFunction) (void *pData, oslSignalInfo *pInfo)
| the function-ptr. More...

## Enumerations
enum | oslSignal { osl_Signal_System, osl_Signal_Terminate, osl_Signal_AccessViolation, osl_Signal_IntegerDivideByZero, osl_Signal_FloatDivideByZero, osl_Signal_DebugBreak, osl_Signal_User, osl_Signal_Alarm, osl_Signal_FORCE_EQUAL_SIZE = SAL_MAX_ENUM }
enum | oslSignalAction { osl_Signal_ActCallNextHdl, osl_Signal_ActIgnore, osl_Signal_ActAbortApp, osl_Signal_ActKillApp, osl_Signal_Act_FORCE_EQUAL_SIZE = SAL_MAX_ENUM }

## Functions
SAL_DLLPUBLIC oslSignalHandler | osl_addSignalHandler (oslSignalHandlerFunction Handler, void *pData)
SAL_DLLPUBLIC sal_Bool | osl_removeSignalHandler (oslSignalHandler hHandler)
SAL_DLLPUBLIC oslSignalAction | osl_raiseSignal (sal_Int32 UserSignal, void *UserData)
SAL_DLLPUBLIC sal_Bool | osl_setErrorReporting (sal_Bool bEnable)
| Enables or disables error reporting. More...

## Macro Definition Documentation

## ◆ OSL_SIGNAL_USER_RESERVED

#define OSL_SIGNAL_USER_RESERVED 0

## ◆ OSL_SIGNAL_USER_RESOURCEFAILURE

#define OSL_SIGNAL_USER_RESOURCEFAILURE (OSL_SIGNAL_USER_RESERVED - 1)

## ◆ OSL_SIGNAL_USER_X11SUBSYSTEMERROR

#define OSL_SIGNAL_USER_X11SUBSYSTEMERROR (OSL_SIGNAL_USER_RESERVED - 2)

## Typedef Documentation

## ◆ oslSignalHandler

typedef void* oslSignalHandler

## ◆ oslSignalHandlerFunction

typedef oslSignalAction( * oslSignalHandlerFunction) (void *pData, oslSignalInfo *pInfo)

the function-ptr.

representing the signal handler-function.

## Enumeration Type Documentation

## ◆ oslSignal

enum oslSignal

Enumerator
osl_Signal_System |
osl_Signal_Terminate |
osl_Signal_AccessViolation |
osl_Signal_IntegerDivideByZero |
osl_Signal_FloatDivideByZero |
osl_Signal_DebugBreak |
osl_Signal_User |
osl_Signal_Alarm |
osl_Signal_FORCE_EQUAL_SIZE |

## ◆ oslSignalAction

enum oslSignalAction

Enumerator
osl_Signal_ActCallNextHdl |
osl_Signal_ActIgnore |
osl_Signal_ActAbortApp |
osl_Signal_ActKillApp |
osl_Signal_Act_FORCE_EQUAL_SIZE |

## Function Documentation

## ◆ osl_addSignalHandler()

SAL_DLLPUBLIC oslSignalHandler osl_addSignalHandler | ( | oslSignalHandlerFunction | Handler,
|  | void * | pData
| ) |  |

## ◆ osl_raiseSignal()

SAL_DLLPUBLIC oslSignalAction osl_raiseSignal | ( | sal_Int32 | UserSignal,
|  | void * | UserData
| ) |  |

## ◆ osl_removeSignalHandler()

SAL_DLLPUBLIC sal_Bool osl_removeSignalHandler | ( | oslSignalHandler | hHandler | ) |

## ◆ osl_setErrorReporting()

SAL_DLLPUBLIC sal_Bool osl_setErrorReporting | ( | sal_Bool | bEnable | ) |

Enables or disables error reporting.

On default error reporting is enabled after process startup.

Parameters

  bEnable | [in] Enables or disables error reporting.

Returns
  sal_True if previous state of error reporting was enabled
  sal_False if previous state of error reporting was disbaled